libdmapsharing (3.9.13-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
    (Closes: #1118860)
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

  [ Helmut Grohne ]
  * Add patch to use AC_PATH_TOOL to fix cross-building issue (Closes: #1117669)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 11:30:32 -0500

libdmapsharing (3.9.13-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add Build-Depends: gir1.2-gst-1.0-dev

  [ Simon McVittie ]
  * d/changelog: Fix an incorrect bug reference in the previous version

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Mar 2025 07:19:27 -0400

libdmapsharing (3.9.13-3) unstable; urgency=medium

  * Team upload
  * d/rules: Don't run tests.
    The upstream build system rebuilds the library with gconv
    instrumentation as part of the test suite. This is not something we
    want in a distro environment, because our shipped binaries should
    not attempt to write out coverage data to the build-time path,
    which won't normally exist on end-user systems.
    The tests fail and the failure is ignored anyway, so this doesn't
    actually reduce useful test coverage. (Closes: #1055324)
  * d/clean, d/rules: Force regeneration of C code from Vala source
    (Closes: #1076950, #1075165, #1046834, #1049780)
  * d/clean: Force regeneration of more generated files at build-time
  * Standards-Version: 4.7.0 (no changes required)
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
  * d/control: Explicitly build-depend on required GIR XML.
    We can't build-depend on gir1.2-gst-1.0-dev until gstreamer1.0 adds
    a Provides for it (#1085939), so hide that one behind a build-profile
    for now.
  * d/control: Build-depend on pkgconf in preference to pkg-config
  * Remove unused Lintian override for ...t64 library name.
    The t64 suffix is now special-cased by Lintian and does not need an
    override any more.

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Oct 2024 17:02:49 +0100

libdmapsharing (3.9.13-2) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Upload to unstable (Closes: #1062271)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 15:13:31 -0500

libdmapsharing (3.9.13-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Wed, 31 Jan 2024 22:13:12 +0000

libdmapsharing (3.9.13-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: no longer needed
  * Set Files-Excluded to ensure we build the html docs from source

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 11:57:58 -0400

libdmapsharing (3.9.12-3) unstable; urgency=medium

  * Release to unstable (Closes: #964795, #967571, #981034, #1033920, #1037386)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 10:19:57 -0400

libdmapsharing (3.9.12-2) experimental; urgency=medium

  * debian/libdmapsharing-4.0-3.symbols: Mark some symbols as optional

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Jun 2023 06:23:41 -0400

libdmapsharing (3.9.12-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata
  * Use secure URI in Homepage field
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Update standards version to 4.6.2, no changes needed

  [ Jeremy Bícha ]
  * New upstream release
  * Update binary packages for new upstream series
  * Build with libsoup3
  * Bump debhelper-compat to 13
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/control.in: Build-Depend on gtk3 instead of gtk2
  * debian/control.in: Have -dev package depend on gir package
  * Don't override gir install directory
  * Add patch to include missing upstream files to fix docs build
  * Update debian/copyright

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jun 2023 08:13:18 -0400

libdmapsharing (2.9.41-3) unstable; urgency=medium

  * debian/control.in:
    - libdmapsharing-3.0-dev Depends libgstreamer-plugins-base1.0-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Aug 2020 17:07:01 +0200

libdmapsharing (2.9.41-2) unstable; urgency=medium

  * debian/libdmapsharing-3.0-2.symbols:
    - extra symbol updates

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Jul 2020 22:27:09 +0200

libdmapsharing (2.9.41-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in:
    - Build-Depends on check
  * debian/libdmapsharing-3.0-2.symbols:
    - updated for the new version
  * debian/patches/0001-Update-Vala-code-to-build-with-Vala-0.44.3.patch:
    - removed, included in the new version
  * debian/rules:
    - remove the .a from the library

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Jul 2020 16:48:10 +0200

libdmapsharing (2.9.39-6) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Oct 2019 07:29:26 -0400

libdmapsharing (2.9.39-5) unstable; urgency=medium

  [ Philip Chimento ]
  * Fix build with newer valac
  * debian/rules: Add --enable-gtk-doc to fix build
  * d/rules, d/control: Add a gir1.2-dmap-3.0 package

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Oct 2019 19:17:55 -0400

libdmapsharing (2.9.39-4) unstable; urgency=medium

  * Drop -Wl,-z,defs from our extra LDFLAGS to fix build on some arches

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 23:05:16 -0500

libdmapsharing (2.9.39-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/libdmapsharing-3.0-2.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 20:15:20 -0500

libdmapsharing (2.9.39-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 19:20:21 -0500

libdmapsharing (2.9.39-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 08:48:50 +0200

libdmapsharing (2.9.37-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Nov 2016 06:28:36 +0100

libdmapsharing (2.9.36-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Aug 2016 15:02:30 +0200

libdmapsharing (2.9.35-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 May 2016 15:59:35 +0200

libdmapsharing (2.9.34-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends on libgee-0.8-dev and valac to rebuild the .vala files.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2016 22:52:29 +0100

libdmapsharing (2.9.33-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libsoup2.4-dev to (>= 2.48) as per configure.ac.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Feb 2016 21:46:13 +0100

libdmapsharing (2.9.32-1) unstable; urgency=medium

  * New upstream release.
  * Convert to multiarch. (Closes: #770269)

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Oct 2015 18:05:39 +0200

libdmapsharing (2.9.31-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 00:46:25 +0200

libdmapsharing (2.9.30-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 May 2015 00:17:29 +0200

libdmapsharing (2.9.28-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * Build with dh-autoreconf

  [ Andreas Henriksson ]
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 29 Aug 2014 11:22:37 -0700

libdmapsharing (2.9.23-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Aug 2013 12:30:01 +0200

libdmapsharing (2.9.18-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Jun 2013 22:28:20 +0200

libdmapsharing (2.9.17-1) unstable; urgency=low

  [ Jean Schurger ]
  * New upstream release.
  * debian/control.in:
    - Updated Vcs-Svn.
    - Bump Standards-Version to 3.9.4.
    - Updated build and '-dev' dependencies from libgstreamer0.10 to
      libgstreamer1.0 according to configure.ac.

  [ Jordi Mallach ]
  * Remove duplicate Section fields.
  * Bump to debhelper v9.
  * Use the list-missing rule.
  * Pass -c4 to dpkg-gensymbols.

 -- Jordi Mallach <jordi@debian.org>  Mon, 27 May 2013 20:02:23 +0200

libdmapsharing (2.9.15-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 20:50:13 +0200

libdmapsharing (2.9.14-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Dec 2011 09:06:21 +0100

libdmapsharing (2.9.13-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Dec 2011 10:07:48 +0100

libdmapsharing (2.9.12-1) unstable; urgency=low

  [ Jean Schurger ]
  * New upstream version.
  * debian/control.in:
    - Bumped Standards-Version to 3.9.2 (no change needed)
  * debian/rules
    - Explicitly use the .tar.gz archive as upstream did not switch to .bz2 yet
  * debian/control.in
    - Added homepage

  [ Michael Biebl ]
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * debian/control.in: Update Vcs-* fields.
  * debian/libdmapsharing-3.0-2.symbols: Add symbols file for improved shlibs
    dependency tracking.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Aug 2011 02:16:06 +0200

libdmapsharing (2.9.7-1) experimental; urgency=low

  * Initial release. (Closes: #620060)

 -- Josselin Mouette <joss@debian.org>  Tue, 29 Mar 2011 19:52:57 +0200
